﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FluentStateObserver.Test
{
    /// <summary>
    /// A generic block for building an observable stream.
    /// </summary>
    /// <typeparam name="T">The payload element type.</typeparam>
    public class GenericObservableBlock<T>
    {
        public T Element { get; private set; }
        public double WaitSeconds { get; private set; }

        public GenericObservableBlock(T element)
            : this(element, .1)
        {

        }

        public GenericObservableBlock(T element, double secs)
        {
            Element = element;
            WaitSeconds = secs;
        }
    }
}
